Subject: Re: bug#36100: Jami leaks memory

From: sirgazil <[email-masked]>
Date: Wed, 12 Jun 2019 17:15:13 -0500

---- On Wed, 12 Jun 2019 15:41:42 -0500 Ludovic Courtès <[email-masked]> wrote ----

 > sirgazil <[email-masked]> skribis: 
 >  
 > > ---- On Wed, 12 Jun 2019 07:15:36 -0500 Ludovic Courtès <[email-masked]> wrote ---- 
 > > 
 > >  > Hi sirgazil, 
 > >  > 
 > >  > sirgazil <[email-masked]> skribis: 
 > >  > 
 > >  > > When I run Jami in the GNU system installed with Guix, I see that its process called ".gnome-ring-rea" starts using around 36 MiB, but then increases over time at slow pace. After some hours, I notice it reaches 1 GiB of memory usage. I have to finalize the process to release memory. 
 > >  > 
 > >  > Do you think it’s a Guix-specific issue? 
 > >  > 
 > >  > I would expect it to not be Guix-specific.  Could you report the issue 
 > >  > upstream? 
 > > 
 > > 
 > > Oh, I think one of my messages about this issue didn't arrived. The leak in the version available in Guix is known and fixed upstream. 
 >  
 > Nice.  Should we apply their patch, or upgrade our package? 

Hmm, I'm really ignorant about what would be best. As a desktop user, I think anything that allows me to install and use Jami without leaks.

 > > I thought that maybe this bug report could be used as a reminder to update the package definition of Jami in Guix to a version that fixes the leak? 
 >  
 > I think it’s better if the bug report is actionable. 

Sorry, Ludo, I don't understand what actionable means in this context.